"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TypeOrmFactory = void 0;
const Typeorm_Model_1 = require("../models/Typeorm-Model");
class TypeOrmFactory {
    constructor() {
        this.setConfig = (data) => {
            if (!data)
                throw new Error('Connection options must be provided');
            this.config = data;
        };
        this.newOrmConnection = () => {
            if (!this.config)
                throw new Error('Connection options must be provided');
            return new Typeorm_Model_1.TypeOrm(this.config);
        };
    }
}
exports.TypeOrmFactory = TypeOrmFactory;
