"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Controller = void 0;
const tsyringe_1 = require("tsyringe");
class Controller {
    constructor(controllers) {
        this.getControllers = () => {
            return this.controllers;
        };
        this.registerControllersInContainer = () => {
            for (let controller of this.controllers) {
                tsyringe_1.container.registerSingleton('Controllers', controller);
            }
        };
        this.controllers = controllers;
    }
}
exports.Controller = Controller;
