"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TypeOrm = void 0;
const typeorm_1 = require("typeorm");
class TypeOrm {
    constructor(config) {
        this.getConnectionName = () => {
            return this.connection ? this.connection.name : undefined;
        };
        this.getConfig = () => {
            return this.config ? this.config : undefined;
        };
        this.startTypeorm = async () => {
            try {
                if (!this.config)
                    Promise.reject('Please set configurations');
                this.connection = await typeorm_1.createConnection(this.config).then((connection) => {
                    return connection.runMigrations().then(() => {
                        return connection;
                    });
                });
            }
            catch (error) {
                throw error;
                if (error instanceof Error)
                    Promise.reject(error);
            }
        };
        this.config = config;
    }
}
exports.TypeOrm = TypeOrm;
